package com.sckw.core.model.enums;

import lombok.Getter;

/**
 * @author lfdc
 * @description redis生成编号 key枚举定义
 * @date 2023-08-25 15:07:23
 */
@Getter
public enum RedisOrderGenerateEnum {
    /**
     * 物流订单key
     */
    LOGISTICS_ORDER("logisticsOrder","logistics_order_no_generator:","物流订单key"),

    /**
     * 物流订单-分包key
     */
    LOGISTICS_SUBCONTRACT_ORDER("logisticsOrder","logistics_subcontract_order_no_generator:","物流订单-分包key"),

    TRADE_ORDER("tradeOrder","trade_order_no_generator:","贸易订单key"),

    /**
     * 车辆运单key
     */
    WAYBILL_ORDER("waybillOrder","waybill_order_no_generator:","车辆运单key"),

    /**
     * 对账key
     */
    LEDGER_CHECKING("ledger","logistics_order_no_generator:","对账key"),
    /**
     * 结算key
     */
    SETTLEMENT_CHECKING("settlement","logistics_order_no_generator:","结算key"),
    ;


    private final String value;
    private final String key;
    private final String name;

    public String getValue() {
        return value;
    }

    public String getKey() {
        return key;
    }

    public String getName() {
        return name;
    }

    RedisOrderGenerateEnum(String value, String key, String name) {
        this.value = value;
        this.key = key;
        this.name = name;
    }

}
